Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1367 (reopened defect)

Opened 12 years ago

Last modified 11 years ago

Port half and quarter rate channel support from FreeBSD

Reported by: mtaylor Assigned to: mtaylor
Priority: minor Milestone: version 0.9.x - progressive release candidate phase
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

Half and quarter rate channel support (in public safety band) is not functional in trunk. We need to port some of the changes from FreeBSD v1.94.2.32 to enable the rates.

http://www.freebsd.org/cgi/cvsweb.cgi/src/sys/dev/ath/if_ath.c.diff?r1=1.94.2.31;r2=1.94.2.32

Attachments

ch.patch (20.9 kB) - added by mtaylor on 06/20/07 19:59:12.
Cannon fodder for mike to work on... contrib by nbd. These are patches to his build that we may be able to adapt. He said it needs cleanup, etc... will do later.

Change History

06/08/07 19:37:25 changed by mtaylor

  • status changed from new to assigned.
  • owner set to mtaylor.

06/12/07 23:50:31 changed by mtaylor

  • status changed from assigned to new.

06/20/07 19:18:20 changed by mtaylor

nbd has done one of these for openwrt.

06/20/07 19:19:51 changed by mtaylor

they don't work with sam's hal... stick to freebsd sources.

06/20/07 19:59:12 changed by mtaylor

  • attachment ch.patch added.

Cannon fodder for mike to work on... contrib by nbd. These are patches to his build that we may be able to adapt. He said it needs cleanup, etc... will do later.

06/27/07 12:06:22 changed by mrenzmann

  • patch_attached set to 1.

10/02/07 01:19:39 changed by mtaylor

  • status changed from new to closed.
  • resolution set to wontfix.

Doesn't make sense given switch to ath5k to invest in this.

10/28/07 20:22:44 changed by mtaylor

  • status changed from closed to reopened.
  • resolution deleted.

12/12/07 18:56:51 changed by dgdiniz@gmail.com

This patch saved my life. Works great. Now i'm using the quarter channel perfectly. Before this patch I had to change the internal data of HAL to use the quarter rate channel. Thanks.

(in reply to: ↑ description ) 06/17/08 04:19:20 changed by anonymous

I use madwifi-0.9.3.1 stable release, am I possible to give it a patch by which is originally for madwifi-ng? Thanks.